Skip to content

SAML callback endpoint

Request

Path
companyIdstringrequired

The unique company identifier.

Query
userTypestring(UserType)

User type.

Enum:"agent""borrower""service"
appDomainTypestring(AppDomainType)

App Domain Type.

Enum:"borrower""agent""help""admin"
Bodyapplication/x-www-form-urlencodedrequired
RelayStatestring
SAMLResponsestringrequired
POST
/companies/{companyId}/auth/saml/callback
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/auth/saml/callback?userType=agent&appDomainType=borrower' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -d RelayState=string \
  -d SAMLResponse=string

Responses

Success